<!-- <app-catalogue-sub-toolbar></app-catalogue-sub-toolbar> -->
<mat-toolbar class="ble-title">
  <span style="margin-left: 15px;"><h1 class="mat-h1">Experiment Blueprints</h1></span>
</mat-toolbar>
<mat-tab-group [(selectedIndex)]="selectedIndex" class="ble-container">
  <mat-tab label="View">
    <div style=" padding: 30px;" fxFlex="100%"  fxLayout.xs="column" fxLayout="column" fxLayoutAlign="center center">
      <table mat-table class="full-width-table ble-table full-width-table-xs" matSort aria-label="Elements">
        <!-- Id Column -->
        <ng-container matColumnDef="expBlueprintId">
          <th mat-header-cell *matHeaderCellDef mat-sort-header>Id</th>
          <td mat-cell *matCellDef="let row"><b>{{row.expBlueprintId}}</b></td>
        </ng-container>

         <!-- Version Column -->
         <ng-container matColumnDef="expBlueprintVersion">
          <th fxShow.xs="false" mat-header-cell *matHeaderCellDef>Version</th>
          <td fxShow.xs="false" mat-cell *matCellDef="let row">{{row.version}}</td>
        </ng-container>

        <!-- Name Column -->
        <ng-container matColumnDef="name">
          <th mat-header-cell *matHeaderCellDef mat-sort-header>Experiment</th>
          <td mat-cell *matCellDef="let row"><b>{{row.name}}</b></td>
        </ng-container>

        <!-- VS Blueprint Column -->
        <ng-container matColumnDef="vsBlueprintId">
          <th fxShow.xs="false" mat-header-cell *matHeaderCellDef>Vertical Service</th>
          <!--td mat-cell *matCellDef="let row">{{row.expBlueprint.vsBlueprintId}}</td-->
          <td fxShow.xs="false" mat-cell *matCellDef="let row">
            <tr *ngFor="let name of idToVsbId.get(row.expBlueprintId) | keyvalue">
              <td><a (click)="viewVsBlueprint(name.key)" style="color: black; text-decoration: underline;">{{name.value}}</a></td>
            </tr>
          </td>
        </ng-container>

        <!-- Sites Column -->
        <ng-container matColumnDef="sites">
          <th fxShow.xs="false" mat-header-cell *matHeaderCellDef>Target Sites</th>
          <td fxShow.xs="false" mat-cell *matCellDef="let row">
            <tr *ngFor="let param of row.expBlueprint.sites"><td> - {{param}}</td>
            </tr>
          </td>
        </ng-container>

        <!-- Button Column -->
        <!-- <ng-container matColumnDef="buttons">
          <th mat-header-cell *matHeaderCellDef></th>
          <td mat-cell *matCellDef="let row">
            <span  value="view_blueprint" (click)="viewEBlueprintGraph(row.expBlueprintId)"><i class="fa fa-eye fa-2x" aria-hidden="true" style="padding: 6px;"></i></span>
            <span   value="delete"(click)="deleteEBlueprint(row.expBlueprintId)"><i class="fa fa-times-circle fa-2x" aria-hidden="true"></i></span>
          </td>
        </ng-container> -->
        <ng-container matColumnDef="view">
          <th mat-header-cell *matHeaderCellDef>View</th>
          <td mat-cell *matCellDef="let row">
              <!-- <mat-button-toggle-group name="operations" aria-label="Operations" class="margin-all"> -->
              <!-- <mat-button-toggle  style="background-color: #b3b3b3;" value="view_blueprint" (click)="viewVsBlueprintGraph(row.vsBlueprintId)"><mat-icon>remove_red_eye</mat-icon></mat-button-toggle>
              <mat-button-toggle  style="background-color: #b3b3b3;" value="delete" (click)="deleteVsBlueprint(row.vsBlueprintId)"><mat-icon >delete_forever</mat-icon></mat-button-toggle> -->
              
              <span  value="view_blueprint" (click)="viewEBlueprintGraph(row.expBlueprintId)"><i class="fa fa-eye fa-2x" aria-hidden="true"></i></span>
              
              <!-- <span   value="delete" (click)="deleteVsBlueprint(row.netAppPackageId)"><i class="fa fa-times-circle fa-2x" aria-hidden="true"></i></span> -->
              
          </td>
          </ng-container>
          <ng-container matColumnDef="delete">
              <th mat-header-cell *matHeaderCellDef>Delete</th>
              <td mat-cell *matCellDef="let row">
                  <span   value="delete" (click)="deleteEBlueprint(row.expBlueprintId)"><i class="fa fa-times-circle fa-2x" aria-hidden="true"></i></span>
                  </td>
              </ng-container>
              <ng-container matColumnDef="forcedelete">
                  <th mat-header-cell *matHeaderCellDef>Force delete</th>
                  <td mat-cell *matCellDef="let row">
                <span value="forcedelete_experiment" (click)="forcedeleteEBlueprint(row.expBlueprintId)"><i class="fa fa-trash fa-2x" aria-hidden="true"></i></span>
                  <!-- </mat-button-toggle-group> -->
                  </td>
                  </ng-container>
          
        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
      </table>

      <mat-paginator #paginator
          [length]="dataSource?.data.length"
          [pageIndex]="0"
          [pageSize]="50"
          [pageSizeOptions]="[25, 50, 100, 250]"
          class="ble-table">
      </mat-paginator>
    </div>
  </mat-tab>
  <mat-tab label="Onboard">
    <div style="padding: 30px;">
      <app-blueprints-e-stepper></app-blueprints-e-stepper>
    </div>
  </mat-tab>
</mat-tab-group>
  
